OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



OJS 2.4.2 Installation error

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

OJS 2.4.2 Installation error

Postby rmelreyes » Tue Jul 09, 2013 7:13 pm

Hi PKP Support,

We are adapting OJS 2.4.2 and we have downloaded the package installer and successfully extracted the files. However, when I run the following:

/opt/ojs-2.4.2/tools/ ./install.php

it results to the error below:
ojs_error.JPG
ojs_error.JPG (30.46 KiB) Viewed 498 times


Not sure, if its on our sever settings as we installed xampp 1.8.1 and using rhel 6

Please advise.

Thanks,
Neo
rmelreyes
 
Posts: 3
Joined: Tue Jul 09, 2013 6:51 pm

Re: OJS 2.4.2 Installation error

Postby asmecher » Tue Jul 09, 2013 9:48 pm

Hi Neo,

You need to use the PHP interpreter when running PHP scripts, e.g.:
Code: Select all
php tools/install.php
Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 7737
Joined: Wed Aug 10, 2005 12:56 pm

Re: OJS 2.4.2 Installation error

Postby rmelreyes » Thu Jul 11, 2013 5:31 pm

Hi Alec,

I tried your advise and no luck :(

Is there any item of config I can post to resolve my issue?

Please advise, thanks.
Neo
rmelreyes
 
Posts: 3
Joined: Tue Jul 09, 2013 6:51 pm

Re: OJS 2.4.2 Installation error

Postby rmelreyes » Thu Jul 11, 2013 8:20 pm

Hi Alec,

At last, I was able to do it! by copying the extracted file in the xampp directory. However, we encountered an error during the installation as:

Errors occurred during installation:

* A database error has occurred: php_network_getaddresses: getaddrinfo failed: Name or service not known

Please advise, thanks.
Neo
rmelreyes
 
Posts: 3
Joined: Tue Jul 09, 2013 6:51 pm

Re: OJS 2.4.2 Installation error

Postby asmecher » Fri Jul 12, 2013 9:28 am

Hi Neo,

Double-check the database host name that you're giving OJS to connect to MySQL.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 7737
Joined: Wed Aug 10, 2005 12:56 pm

Re: OJS 2.4.2 Installation error

Postby gepemuks » Mon Sep 02, 2013 5:39 am

Hello Guys.
I'm trying to install multiple versions of OJS, including version 2.4.2.
But to access the site http://localhost/revista an error is reported.
I seem to not find the template folder within ojs/classes. This folder does not really exist in several versions of OJS.
Can see the error in http://177.125.244.20/revista-2.4.2/

Is there any solution?
Please help!
Giu
gepemuks
 
Posts: 1
Joined: Mon Sep 02, 2013 5:27 am

Re: OJS 2.4.2 Installation error

Postby asmecher » Tue Sep 03, 2013 8:46 am

Hi Giu,

There are files missing from your installation. Check that classes/template and lib/pkp/classes/template exist, and that file permissions there are such that OJS can read the PHP files within them.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 7737
Joined: Wed Aug 10, 2005 12:56 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot] and 1 guest